path: /build/build/spotify-media-sound-1.2.31.1205.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-libressl libnotify pulseaudio systray" emerge media-sound/spotify -pv -t && \
    USE="-libressl libnotify pulseaudio systray" emerge -j ${JOBS} --nodeps media-sound/spotify
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/spotify && luet-portage --dir /pkgdir/spotify
    media-sound/spotify && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:f19defe16a28208583dbaa177c579d60692d591c34734df530dd5c4197eda6d9
  package:
    name: spotify
    version: 1.2.31.1205
    category: media-sound
    use_flags:
    - -libressl
    - libnotify
    - pulseaudio
    - systray
    requires:
    - name: macaroni-funtoo-race18
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Spotify is a social music platform
    uri:
    - https://www.spotify.com/ch-de/download/previews/
    license: Spotify
    buildtimestamp: 2024-03-11 12:16:39.043955808 +0000 UTC m=+314.879383691
    labels:
      BDEPEND: '>=dev-util/patchelf-0.10'
      DEPEND: dev-util/desktop-file-utils x11-misc/shared-mime-info
      IUSE: libnotify libressl systray pax_kernel pulseaudio
      RDEPEND: dev-libs/nss dev-python/dbus-python dev-python/pygobject:3 libnotify?
        ( x11-libs/libnotify ) !libressl? ( dev-libs/openssl:0= ) libressl? ( dev-libs/libressl:0=
        ) media-libs/alsa-lib media-libs/fontconfig media-libs/harfbuzz media-libs/mesa[X(+)]
        net-misc/curl[ssl] net-print/cups[ssl] pulseaudio? ( media-sound/pulseaudio
        ) !pulseaudio? ( media-sound/apulse ) systray? ( gnome-extra/gnome-integration-spotify
        ) x11-libs/gtk+:2 app-accessibility/at-spi2-atk x11-libs/libXScrnSaver x11-libs/libXtst
        x11-libs/libSM x11-libs/libICE dev-libs/libayatana-appindicator
      emerge.packages: media-sound/spotify
      kit: media-kit
      original.package.name: media-sound/spotify
      original.package.slot: "0"
      original.package.version: 1.2.31.1205
    treedir: /build/packages
  package_dir: /pkgdir/spotify
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 54994bca184c90925d58e665261fcd87cd409dcf182fabdd8882bfe623d2ffe9
compressiontype: zstd
files:
- opt/spotify/spotify-client/Apps/login.spa
- opt/spotify/spotify-client/Apps/xpui.spa
- opt/spotify/spotify-client/apt-keys/spotify-2021-10-27-5E3C45D7B312C643.gpg
- opt/spotify/spotify-client/apt-keys/spotify-2022-11-14-7A3A762FAFD4A51F.gpg
- opt/spotify/spotify-client/apt-keys/spotify-2023-11-16-6224F9941A8AA6D1.gpg
- opt/spotify/spotify-client/chrome_100_percent.pak
- opt/spotify/spotify-client/chrome_200_percent.pak
- opt/spotify/spotify-client/icons/spotify-linux-128.png
- opt/spotify/spotify-client/icons/spotify-linux-16.png
- opt/spotify/spotify-client/icons/spotify-linux-22.png
- opt/spotify/spotify-client/icons/spotify-linux-24.png
- opt/spotify/spotify-client/icons/spotify-linux-256.png
- opt/spotify/spotify-client/icons/spotify-linux-32.png
- opt/spotify/spotify-client/icons/spotify-linux-48.png
- opt/spotify/spotify-client/icons/spotify-linux-512.png
- opt/spotify/spotify-client/icons/spotify-linux-64.png
- opt/spotify/spotify-client/icons/spotify_icon.ico
- opt/spotify/spotify-client/icudtl.dat
- opt/spotify/spotify-client/libEGL.so
- opt/spotify/spotify-client/libGLESv2.so
- opt/spotify/spotify-client/libcef.so
- opt/spotify/spotify-client/libvk_swiftshader.so
- opt/spotify/spotify-client/libvulkan.so.1
- opt/spotify/spotify-client/locales/af.mo
- opt/spotify/spotify-client/locales/am.mo
- opt/spotify/spotify-client/locales/ar-EG.mo
- opt/spotify/spotify-client/locales/ar-MA.mo
- opt/spotify/spotify-client/locales/ar-SA.mo
- opt/spotify/spotify-client/locales/ar.mo
- opt/spotify/spotify-client/locales/az.mo
- opt/spotify/spotify-client/locales/bg.mo
- opt/spotify/spotify-client/locales/bho.mo
- opt/spotify/spotify-client/locales/bn.mo
- opt/spotify/spotify-client/locales/bs.mo
- opt/spotify/spotify-client/locales/ca.mo
- opt/spotify/spotify-client/locales/cs.mo
- opt/spotify/spotify-client/locales/da.mo
- opt/spotify/spotify-client/locales/de.mo
- opt/spotify/spotify-client/locales/el.mo
- opt/spotify/spotify-client/locales/en-GB.mo
- opt/spotify/spotify-client/locales/en-US.pak
- opt/spotify/spotify-client/locales/en.mo
- opt/spotify/spotify-client/locales/es-419.mo
- opt/spotify/spotify-client/locales/es-AR.mo
- opt/spotify/spotify-client/locales/es-MX.mo
- opt/spotify/spotify-client/locales/es.mo
- opt/spotify/spotify-client/locales/et.mo
- opt/spotify/spotify-client/locales/eu.mo
- opt/spotify/spotify-client/locales/fa.mo
- opt/spotify/spotify-client/locales/fi.mo
- opt/spotify/spotify-client/locales/fil.mo
- opt/spotify/spotify-client/locales/fr-CA.mo
- opt/spotify/spotify-client/locales/fr.mo
- opt/spotify/spotify-client/locales/gl.mo
- opt/spotify/spotify-client/locales/gu.mo
- opt/spotify/spotify-client/locales/he.mo
- opt/spotify/spotify-client/locales/hi.mo
- opt/spotify/spotify-client/locales/hr.mo
- opt/spotify/spotify-client/locales/hu.mo
- opt/spotify/spotify-client/locales/id.mo
- opt/spotify/spotify-client/locales/is.mo
- opt/spotify/spotify-client/locales/it.mo
- opt/spotify/spotify-client/locales/ja.mo
- opt/spotify/spotify-client/locales/kn.mo
- opt/spotify/spotify-client/locales/ko.mo
- opt/spotify/spotify-client/locales/lt.mo
- opt/spotify/spotify-client/locales/lv.mo
- opt/spotify/spotify-client/locales/mk.mo
- opt/spotify/spotify-client/locales/ml.mo
- opt/spotify/spotify-client/locales/mr.mo
- opt/spotify/spotify-client/locales/ms.mo
- opt/spotify/spotify-client/locales/nb.mo
- opt/spotify/spotify-client/locales/ne.mo
- opt/spotify/spotify-client/locales/nl.mo
- opt/spotify/spotify-client/locales/or.mo
- opt/spotify/spotify-client/locales/pa-IN.mo
- opt/spotify/spotify-client/locales/pa-PK.mo
- opt/spotify/spotify-client/locales/pl.mo
- opt/spotify/spotify-client/locales/pt-BR.mo
- opt/spotify/spotify-client/locales/pt-PT.mo
- opt/spotify/spotify-client/locales/ro.mo
- opt/spotify/spotify-client/locales/ru.mo
- opt/spotify/spotify-client/locales/sk.mo
- opt/spotify/spotify-client/locales/sl.mo
- opt/spotify/spotify-client/locales/sr.mo
- opt/spotify/spotify-client/locales/sv.mo
- opt/spotify/spotify-client/locales/sw.mo
- opt/spotify/spotify-client/locales/ta.mo
- opt/spotify/spotify-client/locales/te.mo
- opt/spotify/spotify-client/locales/th.mo
- opt/spotify/spotify-client/locales/tr.mo
- opt/spotify/spotify-client/locales/uk.mo
- opt/spotify/spotify-client/locales/ur.mo
- opt/spotify/spotify-client/locales/vi.mo
- opt/spotify/spotify-client/locales/zh-CN.mo
- opt/spotify/spotify-client/locales/zh-Hant-HK.mo
- opt/spotify/spotify-client/locales/zh-Hant.mo
- opt/spotify/spotify-client/locales/zh-TW.mo
- opt/spotify/spotify-client/locales/zu.mo
- opt/spotify/spotify-client/resources.pak
- opt/spotify/spotify-client/snapshot_blob.bin
- opt/spotify/spotify-client/spotify
- opt/spotify/spotify-client/spotify.desktop
- opt/spotify/spotify-client/v8_context_snapshot.bin
- opt/spotify/spotify-client/vk_swiftshader_icd.json
- usr/bin/spotify
- usr/share/applications/spotify.desktop
- usr/share/doc/spotify-1.2.31.1205/changelog.bz2
- usr/share/icons/hicolor/128x128/apps/spotify-client.png
- usr/share/icons/hicolor/16x16/apps/spotify-client.png
- usr/share/icons/hicolor/22x22/apps/spotify-client.png
- usr/share/icons/hicolor/24x24/apps/spotify-client.png
- usr/share/icons/hicolor/256x256/apps/spotify-client.png
- usr/share/icons/hicolor/32x32/apps/spotify-client.png
- usr/share/icons/hicolor/48x48/apps/spotify-client.png
- usr/share/icons/hicolor/512x512/apps/spotify-client.png
- usr/share/icons/hicolor/64x64/apps/spotify-client.png
- usr/share/pixmaps/spotify-linux-128.png
- usr/share/pixmaps/spotify-linux-16.png
- usr/share/pixmaps/spotify-linux-22.png
- usr/share/pixmaps/spotify-linux-24.png
- usr/share/pixmaps/spotify-linux-256.png
- usr/share/pixmaps/spotify-linux-32.png
- usr/share/pixmaps/spotify-linux-48.png
- usr/share/pixmaps/spotify-linux-512.png
- usr/share/pixmaps/spotify-linux-64.png
- var/db/pkg/media-sound/spotify-1.2.31.1205/BDEPEND
- var/db/pkg/media-sound/spotify-1.2.31.1205/BUILD_TIME
- var/db/pkg/media-sound/spotify-1.2.31.1205/CATEGORY
- var/db/pkg/media-sound/spotify-1.2.31.1205/CBUILD
- var/db/pkg/media-sound/spotify-1.2.31.1205/CFLAGS
- var/db/pkg/media-sound/spotify-1.2.31.1205/CHOST
- var/db/pkg/media-sound/spotify-1.2.31.1205/CONTENTS
- var/db/pkg/media-sound/spotify-1.2.31.1205/COUNTER
- var/db/pkg/media-sound/spotify-1.2.31.1205/CXXFLAGS
- var/db/pkg/media-sound/spotify-1.2.31.1205/DEFINED_PHASES
- var/db/pkg/media-sound/spotify-1.2.31.1205/DEPEND
- var/db/pkg/media-sound/spotify-1.2.31.1205/DESCRIPTION
- var/db/pkg/media-sound/spotify-1.2.31.1205/EAPI
- var/db/pkg/media-sound/spotify-1.2.31.1205/FEATURES
- var/db/pkg/media-sound/spotify-1.2.31.1205/HOMEPAGE
- var/db/pkg/media-sound/spotify-1.2.31.1205/INHERITED
- var/db/pkg/media-sound/spotify-1.2.31.1205/IUSE
- var/db/pkg/media-sound/spotify-1.2.31.1205/IUSE_EFFECTIVE
- var/db/pkg/media-sound/spotify-1.2.31.1205/KEYWORDS
- var/db/pkg/media-sound/spotify-1.2.31.1205/LDFLAGS
- var/db/pkg/media-sound/spotify-1.2.31.1205/LICENSE
- var/db/pkg/media-sound/spotify-1.2.31.1205/NEEDED
- var/db/pkg/media-sound/spotify-1.2.31.1205/PF
- var/db/pkg/media-sound/spotify-1.2.31.1205/PROVIDES
- var/db/pkg/media-sound/spotify-1.2.31.1205/RDEPEND
- var/db/pkg/media-sound/spotify-1.2.31.1205/REQUIRES
- var/db/pkg/media-sound/spotify-1.2.31.1205/RESTRICT
- var/db/pkg/media-sound/spotify-1.2.31.1205/SIZE
- var/db/pkg/media-sound/spotify-1.2.31.1205/SLOT
- var/db/pkg/media-sound/spotify-1.2.31.1205/USE
- var/db/pkg/media-sound/spotify-1.2.31.1205/environment.bz2
- var/db/pkg/media-sound/spotify-1.2.31.1205/repository
- var/db/pkg/media-sound/spotify-1.2.31.1205/spotify-1.2.31.1205.ebuild
package_cacheimage: ""
runtime:
  name: spotify
  version: 1.2.31.1205
  category: media-sound
  use_flags:
  - -libressl
  - libnotify
  - pulseaudio
  - systray
  requires:
  - name: at-spi2-atk
    version: '>=0'
    category: app-accessibility-2
  - name: nss
    version: '>=0'
    category: dev-libs
  - name: pygobject
    version: '>=0'
    category: dev-python-3
  - name: gnome-integration-spotify
    version: '>=0'
    category: gnome-extra
  - name: alsa-lib
    version: '>=0'
    category: media-libs
  - name: fontconfig
    version: '>=0'
    category: media-libs-1.0
  - name: harfbuzz
    version: '>=0'
    category: media-libs
  - name: mesa
    version: '>=0'
    category: media-libs
  - name: pulseaudio
    version: '>=0'
    category: media-sound
  - name: curl
    version: '>=0'
    category: net-misc
  - name: gtk+
    version: '>=0'
    category: x11-libs-2
  - name: libXScrnSaver
    version: '>=0'
    category: x11-libs
  - name: libnotify
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Spotify is a social music platform
  uri:
  - https://www.spotify.com/ch-de/download/previews/
  license: Spotify
  labels:
    BDEPEND: '>=dev-util/patchelf-0.10'
    DEPEND: dev-util/desktop-file-utils x11-misc/shared-mime-info
    IUSE: libnotify libressl systray pax_kernel pulseaudio
    RDEPEND: dev-libs/nss dev-python/dbus-python dev-python/pygobject:3 libnotify?
      ( x11-libs/libnotify ) !libressl? ( dev-libs/openssl:0= ) libressl? ( dev-libs/libressl:0=
      ) media-libs/alsa-lib media-libs/fontconfig media-libs/harfbuzz media-libs/mesa[X(+)]
      net-misc/curl[ssl] net-print/cups[ssl] pulseaudio? ( media-sound/pulseaudio
      ) !pulseaudio? ( media-sound/apulse ) systray? ( gnome-extra/gnome-integration-spotify
      ) x11-libs/gtk+:2 app-accessibility/at-spi2-atk x11-libs/libXScrnSaver x11-libs/libXtst
      x11-libs/libSM x11-libs/libICE dev-libs/libayatana-appindicator
    emerge.packages: media-sound/spotify
    kit: media-kit
    original.package.name: media-sound/spotify
    original.package.slot: "0"
    original.package.version: 1.2.31.1205
